| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Private Member Functions | Private Attributes
Sandbox::Game Class Reference

Custom game class that will have control of it's gameplay systems. More...

`#include <SandboxGame.h>`

Inherits Fling::Game.

## Private Member Functions
void | Init (entt::registry &t_Reg) override
| Called before the first gameplay loop tick. More...
void | Shutdown (entt::registry &t_Reg) override
void | Update (entt::registry &t_Reg, float DeltaTime) override
| Update is called every frame. More...
void | OnQuitPressed ()
| Callback for when the user has given input that shows they want to exit. More...
void | GenerateTestMeshes (entt::registry &t_Reg)
void | PrintFPS () const
void | LightingTest (entt::registry &t_Reg)
void | ScriptingTest (entt::registry &t_Reg)
void | ToggleCursorVisibility ()
void | SetWindowFullscreen ()
void | SetWindowBorderlessWindowed ()
void | SetWindowWindowed ()
void | ToggleRotation ()
void | OnTestSpawn ()
void | OnToggleMoveLights ()
void | ToggleLua ()
void | SetWindowIcon ()

## Private Attributes
bool | m_DoRotations = false
bool | m_MovePointLights = false
bool | m_RunLua = true
glm::vec3 | MoveDelta = {}
| Temp vector for keeping track of the movement of things. More...

## Additional Inherited Members
Public Member Functions inherited from Fling::Game
FORCEINLINE class World * | GetWorld () const
| Gets the owning world of this game. More...
FORCEINLINE bool | WantsToQuit () const
| If true then this game wants to texit the application entirely. More...
Public Member Functions inherited from Fling::NonCopyable
| NonCopyable (const NonCopyable &)=delete
| NonCopyable (NonCopyable &&)=default
NonCopyable & | operator= (const NonCopyable &)=delete
NonCopyable & | operator= (NonCopyable &&)=default
Protected Member Functions inherited from Fling::Game
| Game ()=default
virtual | ~Game ()=default
Protected Member Functions inherited from Fling::NonCopyable
| NonCopyable ()=default
virtual | ~NonCopyable ()=default
Protected Attributes inherited from Fling::Game
class World * | m_OwningWorld = nullptr
| The world that updates this game. More...
bool | m_WantsToQuit = false
| Change this value to true when the game is ready to exit the application entirely. More...

## Detailed Description

Custom game class that will have control of it's gameplay systems.

## Member Function Documentation

## ◆ GenerateTestMeshes()

void Sandbox::Game::GenerateTestMeshes | ( | entt::registry & | t_Reg | ) |
| private

## ◆ Init()

void Sandbox::Game::Init | ( | entt::registry & | t_Reg | ) |
| override private virtual

Called before the first gameplay loop tick.

Do any initalization for custom gameplay systems here.

Implements Fling::Game.

## ◆ LightingTest()

void Sandbox::Game::LightingTest | ( | entt::registry & | t_Reg | ) |
| private

## ◆ OnQuitPressed()

void Sandbox::Game::OnQuitPressed | ( |  | ) |
| private

Callback for when the user has given input that shows they want to exit.

## ◆ OnTestSpawn()

void Sandbox::Game::OnTestSpawn | ( |  | ) |
| private

## ◆ OnToggleMoveLights()

void Sandbox::Game::OnToggleMoveLights | ( |  | ) |
| private

## ◆ PrintFPS()

void Sandbox::Game::PrintFPS | ( |  | ) | const
| private

## ◆ ScriptingTest()

void Sandbox::Game::ScriptingTest | ( | entt::registry & | t_Reg | ) |
| private

## ◆ SetWindowBorderlessWindowed()

void Sandbox::Game::SetWindowBorderlessWindowed | ( |  | ) |
| private

## ◆ SetWindowFullscreen()

void Sandbox::Game::SetWindowFullscreen | ( |  | ) |
| private

## ◆ SetWindowIcon()

void Sandbox::Game::SetWindowIcon | ( |  | ) |
| private

## ◆ SetWindowWindowed()

void Sandbox::Game::SetWindowWindowed | ( |  | ) |
| private

## ◆ Shutdown()

void Sandbox::Game::Shutdown | ( | entt::registry & | t_Reg | ) |
| override private virtual

Implements Fling::Game.

## ◆ ToggleCursorVisibility()

void Sandbox::Game::ToggleCursorVisibility | ( |  | ) |
| private

## ◆ ToggleLua()

void Sandbox::Game::ToggleLua | ( |  | ) |
| private

## ◆ ToggleRotation()

void Sandbox::Game::ToggleRotation | ( |  | ) |
| private

## ◆ Update()

void Sandbox::Game::Update | ( | entt::registry & | t_Reg,
|  | float | DeltaTime
| ) |  |
| override private virtual

Update is called every frame.

Call any system updates for your gameplay systems inside of here

Implements Fling::Game.

## Field Documentation

## ◆ m_DoRotations

bool Sandbox::Game::m_DoRotations = false
| private

## ◆ m_MovePointLights

bool Sandbox::Game::m_MovePointLights = false
| private

## ◆ m_RunLua

bool Sandbox::Game::m_RunLua = true
| private

## ◆ MoveDelta

glm::vec3 Sandbox::Game::MoveDelta = {}
| private

Temp vector for keeping track of the movement of things.

The documentation for this class was generated from the following files:

- Sandbox/Gameplay/inc/SandboxGame.h
- Sandbox/Gameplay/src/SandboxGame.cpp